/* font-family: 'Allison', cursive;
font-family: 'Raleway', sans-serif; */

* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}
header {
    background-color: black;
    padding: 0 90px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
nav{
    align-self: center;
    display: flex;
}
nav a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;

}
nav a:hover {
    color: orange;
}

.toggle{
    display: none;
}

.active{
    display: flex;
}

/* style the hamburger icon */
i.fa-bars {
color: white;
font-size: 30px;
align-self: center;
}

article {
    background-color: purple;
    width: 330px;
    display: flex;
    flex-direction: column;
    height: 321px;
    padding: 15px;
}
article span{
    flex-grow: 1;
    text-align: center;
}
#features{
    padding: 50px 90px;
}
#features div{
    display: flex;
    column-gap: 20px;
    row-gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
}
h1 {
    font-family: 'Allison', cursive;
    font-size: 80px;
    color: orange;
}
h2 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: white;
}
h3 {
    font-family: 'Allison', cursive;
    font-size: 80px;
    color: orange;
    text-align: center;
}
h4 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: rgb(255, 255, 255);

}
h5 {
    color: purple;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    color: rgb(235, 226, 245);
}
i {
    font-size: 50px;
    color: orange;
}
article a {
    background-color: white;
    color: purple;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;
    align-self: center;
}
#gallery {
    background-color: black;
    padding: 40px 90px;
}
#gallery h2{
    text-align: center;
}
#gallery div{
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
    justify-content: center;
}
#gallery img{
    flex: 1 1 230px;
}
footer {
    background-color: orange;
    padding: 20px 90px;
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
}
footer h4{
    flex-grow: 1;
}
footer i {
    font-size: 30px;
    color: white;
}
.icons{
    align-self: center;
}

/* tablet */
@media (max-width: 825px) {
    body{
        background-color: pink;
    }

}

@media (max-width: 700px){
    .toggle{
        display: block;
        align-self: center;
    }

    nav{
        flex: 100%;
        display: none;
        text-align: center;
        row-gap: 8px;
    }

}

/* mobile */
@media (max-width: 450px) {
   body{
        background-color: azure;
   }
}